VERSION 5.00
Object = "{0D452EE1-E08F-101A-852E-02608C4D0BB4}#2.0#0"; "FM20.DLL"
Begin VB.Form frmImage 
   Appearance      =   0  'Flat
   BackColor       =   &H00C0C0C0&
   Caption         =   "Image Example"
   ClientHeight    =   5565
   ClientLeft      =   1785
   ClientTop       =   1635
   ClientWidth     =   8310
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   LinkTopic       =   "Form3"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5565
   ScaleWidth      =   8310
   Begin VB.CheckBox chkStretchGraphic 
      Caption         =   "Stretch Graphic"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   4320
      Width           =   1695
   End
   Begin VB.Frame Frame2 
      Caption         =   "Graphic Size"
      Height          =   1215
      Left            =   5040
      TabIndex        =   2
      Top             =   4200
      Width           =   3135
      Begin MSForms.SpinButton spnWidth 
         Height          =   255
         Left            =   1200
         TabIndex        =   6
         Top             =   360
         Width           =   375
         Size            =   "661;450"
         Max             =   10000
         SmallChange     =   10
         Orientation     =   1
         Delay           =   10
      End
      Begin MSForms.SpinButton spnHeight 
         Height          =   375
         Left            =   1270
         TabIndex        =   5
         Top             =   780
         Width           =   255
         Size            =   "450;661"
         Max             =   10000
         SmallChange     =   10
         Orientation     =   0
         Delay           =   10
      End
      Begin VB.Label Label1 
         Alignment       =   1  'Right Justify
         Appearance      =   0  'Flat
         BackColor       =   &H80000005&
         BackStyle       =   0  'Transparent
         Caption         =   "Width"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   240
         TabIndex        =   4
         Top             =   360
         Width           =   855
      End
      Begin VB.Label Label2 
         Alignment       =   1  'Right Justify
         Appearance      =   0  'Flat
         BackColor       =   &H80000005&
         BackStyle       =   0  'Transparent
         Caption         =   "Height"
         ForeColor       =   &H80000008&
         Height          =   255
         Left            =   240
         TabIndex        =   3
         Top             =   840
         Width           =   855
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Graphic Type"
      Height          =   1215
      Left            =   1920
      TabIndex        =   1
      Top             =   4200
      Width           =   3015
      Begin MSForms.OptionButton OptionButton2 
         Height          =   255
         Left            =   240
         TabIndex        =   9
         Top             =   720
         Width           =   2415
         BackColor       =   12632256
         DisplayStyle    =   5
         Size            =   "4260;450"
         Value           =   "0"
         Caption         =   "Vector (WMF)"
         FontEffects     =   1073741825
         FontHeight      =   165
         FontCharSet     =   0
         FontPitchAndFamily=   2
         FontWeight      =   700
      End
      Begin MSForms.OptionButton OptionButton1 
         Height          =   375
         Left            =   240
         TabIndex        =   8
         Top             =   360
         Width           =   2535
         BackColor       =   12632256
         DisplayStyle    =   5
         Size            =   "4471;661"
         Value           =   "1"
         Caption         =   "Bitmap (BMP, GIF, JPG)"
         FontEffects     =   1073741825
         FontHeight      =   165
         FontCharSet     =   0
         FontPitchAndFamily=   2
         FontWeight      =   700
      End
   End
   Begin VB.CommandButton Command1 
      Appearance      =   0  'Flat
      Caption         =   "E&xit"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   4920
      Width           =   1215
   End
   Begin VB.Line Line2 
      BorderColor     =   &H00FFFFFF&
      X1              =   120
      X2              =   8160
      Y1              =   4100
      Y2              =   4100
   End
   Begin VB.Image Image1 
      Appearance      =   0  'Flat
      BorderStyle     =   1  'Fixed Single
      Height          =   1425
      Left            =   120
      Picture         =   "FRMPICTU.frx":0000
      Top             =   120
      Width           =   1215
   End
   Begin VB.Line Line1 
      BorderColor     =   &H00808080&
      X1              =   120
      X2              =   8160
      Y1              =   4080
      Y2              =   4080
   End
End
Attribute VB_Name = "frmImage"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub chkStretchGraphic_Click()
  If Image1.Stretch = False Then
    Image1.Stretch = True
  Else
    Image1.Stretch = False
  End If

End Sub

Private Sub Command1_Click()
  Unload frmImage
  
End Sub

Private Sub Form_Activate()
  spnHeight.Value = Image1.Height
  spnWidth.Value = Image1.Width
  
End Sub

Private Sub OptionButton1_Click()
  Image1.Picture = LoadPicture(App.Path + "\VB_LOGO.BMP")
  spnWidth.Value = Image1.Width
  spnHeight.Value = Image1.Height

End Sub

Private Sub OptionButton2_Click()
  Image1.Picture = LoadPicture(App.Path + "\RECYCLE.WMF")
  spnWidth.Value = Image1.Width
  spnHeight.Value = Image1.Height

End Sub

Private Sub spnHeight_Change()
  Image1.Height = spnHeight.Value

End Sub

Private Sub spnWidth_Change()
  Image1.Width = spnWidth.Value
  
End Sub

Private Sub Text1_KeyPress(KeyAscii As Integer)
  If KeyAscii = 13 Then Image1.Width = Val(Text1.Text)
  
End Sub

Private Sub Text2_KeyPress(KeyAscii As Integer)
  If KeyAscii = 13 Then Image1.Height = Val(Text2.Text)
End Sub

